// Project Lab - NHTV Igad

#pragma once

#include "Blueprint/UserWidget.h"
#include "MiniMapIconWidget.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API UMiniMapIconWidget : public UUserWidget
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Category = "Image")
	UImage* image;

	UFUNCTION(BlueprintNativeEvent, BlueprintCallable, Category = "MiniMap")
	void SetObjectIcon(class UTexture2D* texture);
};
